textures/stchctf10_custom/light5_matrix_7k
{
	qer_editorimage textures/stchctf10_custom/light5_matrix.tga
	q3map_lightimage textures/stchctf10_custom/xlight5_matrix.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 7000
	cull disable

	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/stchctf10_custom/xlight5_matrix.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/xlight5_matrix.blend.tga
		blendfunc add
	}
}

textures/stchctf10_custom/matrix_beam
{
	qer_editorimage textures/sfx/beam_waterlight.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/sfx/beam_waterlight.tga
		blendfunc add
	}
}

textures/stchctf10_custom/heart_neon
{
	surfaceparm trans
	surfaceparm nomarks
	cull disable
	nopicmip
	q3map_surfacelight 1000
	{
		map textures/stchctf10_custom/heart_neon.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/stchctf10_custom/H
{
	surfaceparm trans
	{
		map textures/stchctf10_custom/H.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/stchctf10_custom/E
{
	surfaceparm trans
	{
		map textures/stchctf10_custom/E.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/stchctf10_custom/A
{
	surfaceparm trans
	{
		map textures/stchctf10_custom/A.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/stchctf10_custom/R
{
	surfaceparm trans
	{
		map textures/stchctf10_custom/R.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/stchctf10_custom/T
{
	surfaceparm trans
	{
		map textures/stchctf10_custom/T.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/stchctf10_custom/H_back
{
	qer_editorimage textures/stchctf10_custom/H_back.tga
	q3map_lightimage textures/stchctf10_custom/H_back.blend.tga
	q3map_surfacelight 200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/stchctf10_custom/H_back.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/H_back.blend.tga
		blendfunc add
	}
}

textures/stchctf10_custom/E_back
{
	qer_editorimage textures/stchctf10_custom/E_back.tga
	q3map_lightimage textures/stchctf10_custom/E_back.blend.tga
	q3map_surfacelight 200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/stchctf10_custom/E_back.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/E_back.blend.tga
		blendfunc add
	}
}

textures/stchctf10_custom/A_back
{
	qer_editorimage textures/stchctf10_custom/A_back.tga
	q3map_lightimage textures/stchctf10_custom/A_back.blend.tga
	q3map_surfacelight 200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/stchctf10_custom/A_back.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/A_back.blend.tga
		blendfunc add
	}
}

textures/stchctf10_custom/R_back
{
	qer_editorimage textures/stchctf10_custom/R_back.tga
	q3map_lightimage textures/stchctf10_custom/R_back.blend.tga
	q3map_surfacelight 200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/stchctf10_custom/R_back.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/R_back.blend.tga
		blendfunc add
	}
}

textures/stchctf10_custom/T_back
{
	qer_editorimage textures/stchctf10_custom/T_back.tga
	q3map_lightimage textures/stchctf10_custom/T_back.blend.tga
	q3map_surfacelight 200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/stchctf10_custom/T_back.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/T_back.blend.tga
		blendfunc add
	}
}

textures/stchctf10_custom/walllight1_2500
{
	qer_editorimage textures/stchctf10_custom/walllight1.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	cull disable

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/stchctf10_custom/walllight1_5k
{
	qer_editorimage textures/stchctf10_custom/walllight1.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	cull disable

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/stchctf10_custom/walllight1_1000
{
	qer_editorimage textures/stchctf10_custom/walllight1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	cull disable

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/stchctf10_custom/walllight1_7500
{
	qer_editorimage textures/stchctf10_custom/walllight1.tga
	surfaceparm nomarks
	q3map_surfacelight 7500
	cull disable

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/stchctf10_custom/walllight1_10k
{
	qer_editorimage textures/stchctf10_custom/walllight1.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	cull disable

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/walllight1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/stchctf10_custom/corr_iron_roof
{
	surfaceparm	metalsteps		

	// corrugated iron that makes metalsteps sound
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/corr_iron_roof.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/stchctf10_custom/roof_spec
{
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/stchctf10_custom/roof_spec.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/stchctf10_custom/freetv
{
	qer_editorimage textures/stchctf10_custom/freetv.tga
	surfaceparm nomarks
	q3map_surfacelight 1500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/freetv.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/freetv.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/stchctf10_custom/chain_small
{
	qer_editorimage textures/stchctf10_custom/chain_small.tga
	surfaceparm alphashadow
	surfaceparm trans
	deformVertexes autosprite2
	nopicmip
	cull disable
	
	{
		map textures/stchctf10_custom/chain_small.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/stchctf10_custom/carpet_base
{
	surfaceparm nosteps		

	// carpet that makes no sound when walked on
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/carpet_base.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/stchctf10_custom/light5_matrix_15k
{
	qer_editorimage textures/stchctf10_custom/light5_matrix_s.tga
	q3map_lightimage textures/stchctf10_custom/xlight5_matrix_s.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 15000
	
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/stchctf10_custom/xlight5_matrix_s.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/stchctf10_custom/xlight5_matrix_s.blend.tga
		blendfunc add
	}
}