// this skybox is a minor modification of a shader by Cardigan
// the textures are also by Cardigan
textures/stchctf10a/nebula1_green_lightning
{
	qer_editorimage textures/cardigan_skies1/sparse_green_nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sun 0.803922 0.984314 0.968628 110 180 80
	skyParms env/cardigan/purewhitej 1200 -
	{
		map textures/cardigan_skies1/circlegradlightningblur2.tga
		blendfunc add
		rgbGen wave noise 0 1 0 10 
		tcMod scale 0.32 0.32
		tcMod rotate -20
	}
	{
		map textures/cardigan_skies1/sparse_green_nebula.tga
		blendfunc filter
		tcMod scroll 0.02 0.03
	}
}

// same as id shader but using a different texture
// my rain has bigger droplets
// NOT USED
textures/stchctf10a/rain_stch
{
	qer_editorimage textures/stchctf10_custom/rain_stch.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes move 3 1 0 sin 0 5 0 0.2 
	deformVertexes move 0.6 3.3 0 sin 0 5 0 0.4 
	deformVertexes wave 30 sin 0 10 0 0.2 
	qer_trans 0.5
	{
		map textures/stchctf10_custom/rain_stch.tga
		blendfunc add
		tcMod scroll 0.5 -8
		tcMod turb 0.1 0.25 0 -0.1
	}
	{
		map textures/stchctf10_custom/rain_stch.tga
		blendfunc add
		tcMod scroll 0.01 -6.3
	}
}

// shader by Cardigan from his spaceboxdemo.bsp map
textures/stchctf10a/windowglass
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		rgbGen const ( 0.564706 0.564706 0.564706 )
		tcMod scale 1.5 1.5
		tcGen environment 
	}
	{
		map textures/sfx/mirror.tga
		blendfunc add
		rgbGen const ( 0.243137 0.243137 0.243137 )
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

// shader & texture from Cardigan map Scorpion
textures/stchctf10a/flare
{
	qer_editorimage textures/stchctf10a/flare2.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	{
		clampmap textures/stchctf10a/flare2.tga
		blendfunc add
		rgbGen wave noise 0.2 1 0 10 
		tcMod rotate 4
		tcMod stretch sin 0.8 0.3 0 0.8 
	}
}
